Strive Asset Management

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/strive-asset-management/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/strive-asset-management/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1775088000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/ix?doc=/Archives/edgar/data/0001920406/000162828026023784/asst-20260406.htm",
    "holding_balance": 13740.9,
    "holding_net_change": 113.01,
    "transaction_value_usd": 7749886.77,
    "average_entry_value_usd": 68577.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1776211200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.strive.com/news-events/news-releases/news-details/2026/Strive-Announces-Increase-to-SATA-Perpetual-Preferred-Stock-Dividend-Rate-to-13-00-and-Bitcoin-Buy/default.aspx",
    "holding_balance": 13767.9,
    "holding_net_change": 27.0,
    "transaction_value_usd": 2020625.46,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1777248000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.strive.com/news-events/news-releases/news-details/2026/Strive-Announces-Bitcoin-Buys--True-North-Bitcoin-for-Business-Summit-In-Lake-Oswego/default.aspx",
    "holding_balance": 14556.9,
    "holding_net_change": 789.0,
    "transaction_value_usd": 61046626.349999994,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/strive-asset-management/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    14556.9
  ],
  [
    1779062400000,
    14556.9
  ],
  [
    1779148800000,
    14556.9
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/strive-asset-management/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1127138729.034
  ],
  [
    1779062400000,
    1120070043.963
  ],
  [
    1779148800000,
    1117387789.569
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/strive-asset-management/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 16.33,
    "date": "2026-05-15",
    "high": 17.19,
    "open": 17.19,
    "close": 16.79,
    "volume": 3137400
  },
  {
    "low": 15.4,
    "date": "2026-05-18",
    "high": 16.34,
    "open": 16.16,
    "close": 15.79,
    "volume": 4065100
  },
  {
    "low": 15.28,
    "date": "2026-05-19",
    "high": 16.26,
    "open": 15.95,
    "close": 16.16,
    "volume": 2621020
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/strive-asset-management/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.1,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.12
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/strive-asset-management/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 3.46,
  "six_month_return": -25.19,
  "three_month_return": 100.75
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/strive-asset-management/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 96.8,
  "total_btc_percentage": 0.069,
  "share_price_change_state": "down"
}